Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class AbstractRuntimeManager

    java.lang.Object
      org.jbpm.runtime.manager.impl.AbstractRuntimeManager

All Implemented Interfaces:
  RuntimeManager, org.kie.internal.runtime.manager.InternalRuntimeManager

Direct Known Subclasses:
  PerProcessInstanceRuntimeManager, PerRequestRuntimeManager, SingletonRuntimeManager

    public abstract class AbstractRuntimeManager

extends Object
implements org.kie.internal.runtime.manager.InternalRuntimeManager

Field Summary
`protected static List<String>` | `activeManagers`
`protected org.kie.internal.runtime.manager.RuntimeEnvironment` | `environment`
`protected String` | `identifier`

Constructor Summary
`AbstractRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment, String identifier)`

Method Summary
`protected void` | `attachManager(RuntimeEngine runtime)`
`void` | `close()`
`org.kie.internal.runtime.manager.RuntimeEnvironment` | `getEnvironment()`
`String` | `getIdentifier()`
`protected void` | `registerDisposeCallback(RuntimeEngine runtime)`
`protected void` | `registerItems(RuntimeEngine runtime)`
`void` | `setEnvironment(org.kie.internal.runtime.manager.RuntimeEnvironment environment)`
`void` | `setIdentifier(String identifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.runtime.manager.InternalRuntimeManager
`validate`

Methods inherited from interface org.kie.api.runtime.manager.RuntimeManager
`disposeRuntimeEngine, getRuntimeEngine`

Field Detail

### activeManagers

    protected static volatile List<String> activeManagers

### environment

    protected org.kie.internal.runtime.manager.RuntimeEnvironment environment

### identifier

    protected String identifier

Constructor Detail

### AbstractRuntimeManager

    public AbstractRuntimeManager(org.kie.internal.runtime.manager.RuntimeEnvironment environment,
                                  String identifier)

Method Detail

### registerItems

    protected void registerItems(RuntimeEngine runtime)

### registerDisposeCallback

    protected void registerDisposeCallback(RuntimeEngine runtime)

### attachManager

    protected void attachManager(RuntimeEngine runtime)

### close

    public void close()

  Specified by:
    `close` in interface `RuntimeManager`

### getEnvironment

    public org.kie.internal.runtime.manager.RuntimeEnvironment getEnvironment()

### setEnvironment

    public void setEnvironment(org.kie.internal.runtime.manager.RuntimeEnvironment environment)

### getIdentifier

    public String getIdentifier()

  Specified by:
    `getIdentifier` in interface `RuntimeManager`

### setIdentifier

    public void setIdentifier(String identifier)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.